
Redmine - Patch #37538

Update Chart.js to 3.9.1

2022-08-02 15:13 - Alexander Meindl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version: 5.1.0   

Description

Update chart.js to version 3.9.0

Associated revisions

Revision 21754 - 2022-08-03 03:25 - Go MAEDA

Update Chart.js to 3.9.0 (#37538).

Patch by Alexander Meindl.

Revision 21755 - 2022-08-05 01:53 - Go MAEDA

Update Chart.js to 3.9.1 (#37538).

Patch by Alexander Meindl.

History

#1 - 2022-08-02 15:14 - Alexander Meindl

Sorry, wrong tracker - it should be Patch.

#2 - 2022-08-02 23:53 - Go MAEDA

- Tracker changed from Defect to Patch

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#3 - 2022-08-03 03:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#4 - 2022-08-03 16:03 - Alexander Meindl

- File update_chart_js_3.9.1.diff added

Hi Go MAEDA,

maybe this was too fast - one day after release there is a bug fix release. This is important, if chart.js plugins are used (e.g. with redmine plugins).

It would be great, if we could update to 3.9.1

#5 - 2022-08-04 01:54 - Go MAEDA

- Subject changed from Update Chart.js to 3.9.0 to Update Chart.js to 3.9.1

- Status changed from Closed to Reopened

#6 - 2022-08-05 01:53 - Go MAEDA

- Status changed from Reopened to Closed
https://github.com/chartjs/Chart.js/releases/tag/v3.9.0
https://github.com/chartjs/Chart.js/releases/tag/v3.9.1


Updated Chart.js to 3.9.1 in r21755.

Files

update_chart_js_3.9.0.diff 385 KB 2022-08-02 Alexander Meindl

update_chart_js_3.9.1.diff 375 KB 2022-08-03 Alexander Meindl
